package com.rongwei.sfcommon.sys.dao;


import com.rongwe.scentity.vo.UserMailOrgVo;
import com.rongwei.rwadmincommon.system.domain.SysUserDo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * SaveCheckCommonDao class
 *
 * @author XH
 * @date 2023/10/13
 */
public interface SaveCheckCommonDao {
    List<UserMailOrgVo> getUserInfoByOrgIdAndRoleCode(@Param("orgIds") List<String> orgIds,
                                                      @Param("roleCode") String roleCode);

    SysUserDo getSafetyManager();

    List<UserMailOrgVo> getUserInfoByDeptCode(@Param("roleCode") String roleCode);

    List<UserMailOrgVo> getSafetyPromoter(@Param("deptIds") List<String> deptIds);

    void updateNotifyState(@Param("notifyType") String notifyType,@Param("tenantId") String tenantId);

    List<String> getUserIdByRoleCodeAndOrgIdAndTenantId(@Param("roleCodes") List<String> roleCode,
                                                        @Param("orgIds") List<String> orgIds,
                                                        @Param("tenantId") String tenantId);
}
